# `abacusai.prediction_metric`

## Module Contents

### Classes

`PredictionMetric` | A Prediction Metric job description.

class abacusai.prediction_metric.PredictionMetric(client, createdAt=None, featureGroupId=None, predictionMetricConfig=None, predictionMetricId=None, modelMonitorId=None, projectId=None, refreshSchedules={}, latestPredictionMetricVersionDescription={})

  Bases: `abacusai.return_class.AbstractApiClass`

  A Prediction Metric job description.

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - createdAt (str) – Date and time when this prediction metric was created.

    - featureGroupId (str) – The feature group used as input to this prediction metric.

    - predictionMetricConfig (dict) – Specification for the prediction metric to run in this job.

    - predictionMetricId (str) – The unique identifier of the prediction metric.

    - modelMonitorId (str) – The unique string identifier for model monitor that created this prediction metric

    - projectId (str) – The project this prediction metric belongs to.

    - latestPredictionMetricVersionDescription (PredictionMetricVersion) – Description of the latest prediction metric version (if any).

    - refreshSchedules (RefreshSchedule) – List of schedules that determines when the next version of the dataset will be created.

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict